Package org.jbpm.process.audit.command

## Class FindVariableInstancesByNameCommand

- java.lang.Object
- - org.jbpm.process.audit.command.AuditCommand<List<VariableInstanceLog>>
  - - org.jbpm.process.audit.command.FindVariableInstancesByNameCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<List<VariableInstanceLog>>`, `org.kie.api.command.ExecutableCommand<List<VariableInstanceLog>>`

      public class FindVariableInstancesByNameCommand
      extends AuditCommand<List<VariableInstanceLog>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.command.AuditCommand

      `auditLogService`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FindVariableInstancesByNameCommand()` |
    `FindVariableInstancesByNameCommand​(String variableId)` |
    `FindVariableInstancesByNameCommand​(String variableId, boolean onlyFromActiveProcesses)` |
    `FindVariableInstancesByNameCommand​(String variableId, String value)` |
    `FindVariableInstancesByNameCommand​(String variableId, String value, boolean onlyFromActiveProcesses)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<VariableInstanceLog>` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.jbpm.process.audit.command.AuditCommand

      `setAuditLogService, setLogEnvironment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FindVariableInstancesByNameCommand

          public FindVariableInstancesByNameCommand()

    - #### FindVariableInstancesByNameCommand

          public FindVariableInstancesByNameCommand​(String variableId)

    - #### FindVariableInstancesByNameCommand

          public FindVariableInstancesByNameCommand​(String variableId,
                                                    boolean onlyFromActiveProcesses)

    - #### FindVariableInstancesByNameCommand

          public FindVariableInstancesByNameCommand​(String variableId,
                                                    String value)

    - #### FindVariableInstancesByNameCommand

          public FindVariableInstancesByNameCommand​(String variableId,
                                                    String value,
                                                    boolean onlyFromActiveProcesses)

  - ### Method Detail

    - #### execute

          public List<VariableInstanceLog> execute​(org.kie.api.runtime.Context cntxt)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`